- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# slots.hh File Reference

Declaration of set attribute slot for `Element`. More...

Include dependency graph for slots.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Classes
struct | SetSlotAttribute
| Base class for `SetSlot`. More...
struct | SetSlotAttribute< S, true >
| Base class for `SetSlot`, specializing `SetSlotAttribute`. More...
struct | SetSlot
| Type of the `set_` attribute of the `Element` class. More...

## Detailed Description

Declaration of set attribute slot for `Element`.

Definition in file slots.hh.